-- ----------------------------------------------------------------------------
goalGatherHitchPieces.mSteps = 
{
	{ action = "click", object = objectCryptHookmanLetterPiece },
	{ action = "click", object = objectCryptHookmanLetterPiece08 },
	{ action = "click", object = objectCryptHookmanLetterPiece04 },
	{ action = "click", object = objectCryptHoRotascopePieceCrypt },
	{ action = "click", object = objectCryptHookmanLetterPiece02 },	
}
-- ----------------------------------------------------------------------------
goalGatherHitchPieces.readyToStart = false
-- ----------------------------------------------------------------------------
function goalGatherHitchPieces:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalGatherHitchPieces:onLayoutShow(layout)

	if (not self.readyToStart) then
		if (layout == layoutCryptHitchhiker) then
			self.readyToStart = true
		end	
	end

end
-- ----------------------------------------------------------------------------
function goalGatherHitchPieces:onStarted()

	local pieces = 
	{
		objectCryptHookmanLetterPiece, objectCryptHookmanLetterPiece02,
		objectCryptHookmanLetterPiece04, objectCryptHookmanLetterPiece08,
		objectCryptHoRotascopePieceCrypt
	}
	
	for i, piece in ipairs(pieces) do
		if (piece:isInactive()) then
			piece:ss(kHidden)
		end
		if (piece:isIdle()) then
			piece:ss(kActive)
		end
	end
	
end
-- ----------------------------------------------------------------------------
function goalGatherHitchPieces:onClickHO(layout, object, props, x, y)

	if (objectHoHhSlidingGroup:isFound()) then
		self:achieved()
	end

end